madkit.i18n

## Class I18nUtilities

- java.lang.Object
- - madkit.i18n.I18nUtilities

-     public class I18nUtilities
      extends java.lang.Object

  Internationalization help class containing only static methods.
  Since:
    MaDKit 5.0.0.10
  Version:
    0.91
  Author:
    Fabien Michel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `i18nDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `I18nUtilities()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getCGRString(java.lang.String community)`
    `static java.lang.String` | `getCGRString(java.lang.String community, java.lang.String group)`
    `static java.lang.String` | `getCGRString(java.lang.String community, java.lang.String group, java.lang.String role)`
    `static java.util.ResourceBundle` | `getResourceBundle(java.lang.String baseName)`
    `static void` | `setI18nDirectory(java.lang.String i18nDirectory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### i18nDirectory

          public static java.lang.String i18nDirectory

  - ### Constructor Detail

    - #### I18nUtilities

          public I18nUtilities()

  - ### Method Detail

    - #### getResourceBundle

          public static final java.util.ResourceBundle getResourceBundle(java.lang.String baseName)

    - #### getCGRString

          public static java.lang.String getCGRString(java.lang.String community)

    - #### getCGRString

          public static java.lang.String getCGRString(java.lang.String community,
                                                      java.lang.String group)

    - #### getCGRString

          public static java.lang.String getCGRString(java.lang.String community,
                                                      java.lang.String group,
                                                      java.lang.String role)

    - #### setI18nDirectory

          public static final void setI18nDirectory(java.lang.String i18nDirectory)

      Parameters:
        `i18nDirectory` - the i18nDirectory to set

Fabien Michel, Olivier Gutknecht, Jacques Ferber - September 9 2019